-- This script is executed at startup, before loading anything else. It is
-- responsible for loading a skin and setting StartupSoundPath and WallpaperPath.

-- Quickboot: launch programs depending on buttons held at boot
Buttons = GetButtons(false) -- Read current frame's button state
if Buttons.up then 
	LaunchProgram("ms0:/PSP/GAME/__SCE__webbrowser/EBOOT.PBP")
end


---------------------------
-- Define user settings. --
---------------------------

EnableSound = true

-- List of skins to randomly choose from, if using a random skin.
Skins = {"simple", "colours", "icons", "zelda"}

-- File to play at startup, for skins that use the default startup sound.
StartupSoundPath = "startup.mp3"

-- File to use as background image, for skins that use the default background.
-- Use next two lines for random image
--Wallpapers = {"image1.bmp", "image2.bmp", "image3.bmp"}
--WallpaperPath = Wallpapers[math.random(#Wallpapers)]

WallpaperPath = "wallpaper.bmp" -- Use this for same wallpaper every time

--Which skin to use.
--LoadSkin(Skins[math.random(#Skins)]) -- use this for a random skin
Skin = "icons" -- use this for the same skin every time

------------------------
-- End user settings. --
------------------------


-- Skins can check this to enable debugging functions, such as pressing Cancel
-- at the program menu to return to the loader. This also displays more details
-- on the loading screens.
DebugMode = false

-- Register some constants, such as these draw modes for bitmap fonts
FONT_DRAW_NORMAL = 0
FONT_DRAW_XOR = 1

if Buttons.start then EnableSound = false end -- Hold start to disable sounds
if Buttons.select then Skin = "simple" end -- fallback in case selected skin breaks

-- Seed random number generator
math.randomseed(GetTime().microsecond)

LoadSkin(Skin)